Bug 27644 - version mismatch between pdftex and libpng
Summary: version mismatch between pdftex and libpng
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-14 18:10 UTC by Cliff Bergman
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-16 22:24:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Cliff Bergman 2001-02-14 18:10:06 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686)


When running pdftex on a file that includes a graphic image in png format,
I get the following error message:
libpng error: Application must be recompiled; version 1.0.6 was
incompatible

It appears that pdftex must be recompiled against a newer version of the
libpng library.


Reproducible: Always
Steps to Reproduce:
1. Create a latex file that includes \usepackage{graphicx}
2. after \begin{document}, include a line of the form
\includegraphics{figure.png}, where figure.png is a picture in png format.
(I created mine using fig2dev.)
3. run pdflatex on the resulting file
	

Actual Results:  In addition to the error message listed above, here is
another error message that I get:png_create_read_struct() failed
 

Expected Results:  Well, of course, pdftex should run and create a pdf
file.

Comment 1 Tim Waugh 2001-02-14 18:15:54 UTC
Yes. :-(

rpm --rebuild tetex-*.src.rpm fixes the problem I think.  In any case, the
libpng that tetex carries around with it is no longer used, and fixed packages
are in rawhide.

Comment 2 Cliff Bergman 2001-02-16 22:24:06 UTC
Hi.
I tried rebuilding tetex according to your instruction.  That did not solve the
problem.  (Same error message.) I also tried installing libpng.1.0.8-5.rpm and
libpng-devel.1.0.8-5.rpm however I got dependancy errors.  Actually, I'm unclear
why I would need a newer version of libpng anyway.

Did my rebuild actually recompile pdftex?  The date on the binary is Jul 19,
2000. (The date on libpng is Jul 27.)


Comment 3 Tim Waugh 2001-02-19 22:19:29 UTC
Please update your tetex-dvilj, tetex-xdvi, tetex-dvips, tetex-fonts, tetex-afm,
tetex-latex and tetex packages to at least 1.0.7-12, where this problem is fixed
(rawhide.redhat.com).


Note You need to log in before you can comment on or make changes to this bug.